Controller Settings
23 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getClientDetailInformationSetting | GET | Get client detail information settings |
| modifyClientDetailInformationSetting | PATCH | Modify client detail information settings |
| getClientActiveTimeout | GET | Get client active timeout |
| modifyClientActiveTimeout | PATCH | Modify an existing client active timeout |
| getClientRecognitionEnable | GET | Get whether client recognition is enabled |
| modfiyClientRecognitionEnable | PATCH | Modify client recognition enable |
| getRetention | GET | Get retention |
| modifyRetention_1 | PATCH | Modify an existing retention |
| getUiInterface | GET | Get UI interface |
| modifyUiInterface | PATCH | Modify an existing UI interface |
| getOmadacDstInfo_1 | GET | Get controller DST |
| getExpImprove | GET | Get experience improvement |
| modifyExpImprove | PATCH | Modify an existing experience improvement |
| getGernalSettings | GET | Get general settings |
| modifyGeneralSettings | PATCH | Modify an existing general settings |
| getRemoteLogging | GET | Get remote logging |
| modifyRemoteLogging | PATCH | Modify an existing remote logging |
| getMailServerStatus | GET | Get mailServer status |
| getPrivacyPolicy | GET | Get privacy policy |
| sendTestEmail | POST | Send test mail for controller |
| favoriteSite | POST | Favorite site |
| cancelFavoriteSite | POST | Cancel favorite site |
| evaluateFeedback | POST | Evaluate a customer feedback |
getClientDetailInformationSetting
GET /openapi/v1/{omadacId}/client-detail-information
Get client detail information settings
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getClientDetailInformationSetting"
}Details, permissions and error codes
Get client detail information settings.
The interface requires one of the permissions:
Global Other Setting View Only
modifyClientDetailInformationSetting
PATCH /openapi/v1/{omadacId}/client-detail-information
Modify client detail information settings
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema ClientDetailInformationSettingVO
| Field | Type | Required | Description |
|---|---|---|---|
clientRecognitionEnable | boolean | no | Whether client recognition is enabled. With the feature enabled, network devices will report client information in real time to ensure the accuracy of client recognition. Cloud Access is required for client recognition. |
clientHealthEnable | boolean | no | Whether client health is enabled. When enabled, client health data will be recorded, which may consume a significant amount of storage space. |
clientHistoryEnable | boolean | no | Whether client history is enabled. When enabled, client history, client logs will be recorded. This will occupy much storage space. |
clientDataTrendEnable | boolean | no | Whether client data trend record is enabled.When enabled, client trend statistics and charts will be retained, which will take up lots of storage space. |
followMsp | boolean | no | Whether customer follow MSP setting, only effective in MSP mode and only effective for [clientHistoryEnable] and [clientDataTrendEnable]. |
// omada_call_operation
{
"operationId": "modifyClientDetailInformationSetting",
"body": "{...}"
}Details, permissions and error codes
Modify client detail information settings.On local controller, enabling client recognition requires enabling cloud access.
The interface requires one of the permissions:
Global Other Setting Modify
getClientActiveTimeout
GET /openapi/v1/{omadacId}/controller/setting/active-timeout
Get client active timeout
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getClientActiveTimeout"
}Details, permissions and error codes
Get client active timeout.
The interface requires one of the permissions:
Global Other Setting View Only
modifyClientActiveTimeout
PATCH /openapi/v1/{omadacId}/controller/setting/active-timeout
Modify an existing client active timeout
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema Client Active Timeout
| Field | Type | Required | Description |
|---|---|---|---|
clientActiveTimeoutMin | integer | yes | Client Active Timeout should be within the range of 3-10 minutes |
// omada_call_operation
{
"operationId": "modifyClientActiveTimeout",
"body": "{...}"
}Details, permissions and error codes
Modify an existing client active timeout.
The interface requires one of the permissions:
Global Other Setting Modify
getClientRecognitionEnable
GET /openapi/v1/{omadacId}/controller/setting/client-recognition
Get whether client recognition is enabled
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getClientRecognitionEnable"
}Details, permissions and error codes
Get whether client recognition is enabled.
The interface requires one of the permissions:
Global Other Setting View Only
modfiyClientRecognitionEnable
PATCH /openapi/v1/{omadacId}/controller/setting/client-recognition
Modify client recognition enable
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema ClientRecognitionEnableOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | Whether enable client recognition |
// omada_call_operation
{
"operationId": "modfiyClientRecognitionEnable",
"body": "{...}"
}Details, permissions and error codes
Enable or disable client recognition. On local controller, enabling client recognition requires enabling cloud access.
The interface requires one of the permissions:
Global Other Setting Modify
getRetention
GET /openapi/v1/{omadacId}/controller/setting/retention
Get retention
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getRetention"
}Details, permissions and error codes
Get retention.
The interface requires one of the permissions:
Global Other Setting View Only
modifyRetention_1
PATCH /openapi/v1/{omadacId}/controller/setting/retention
Modify an existing retention
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema History Retention
| Field | Type | Required | Description |
|---|---|---|---|
override | boolean | no | Whether the customer overrides the retention configuration of MSP. |
clientsDataEnable | boolean | yes | Whether the clients' history data is recorded. |
clientDataTrendEnable | boolean | no | Whether the client data trend records is recorded. |
clientRecognitionEnable | boolean | no | Whether client recognition is enabled. With the feature enabled, network devices will report client information in real time to ensure the accuracy of client recognition. Cloud Access is required for client recognition. This feature is not supported in the MSP view. |
clientHealthEnable | boolean | no | Whether client health is enabled. When enabled, client health data will be recorded, which may consume a significant amount of storage space. |
knownClientAvailableRetentionDays | array<integer> | no | Provide optional knownClient data Retention Configuration list. |
knownClient | integer | no | Retention configuration of known client Data, knownClient should be a value as follows: -1: Disabled; 0: All Time(Windows, Linux Only); 1: 1day; 7: 7days; 31: 31days; 90: 90days; 180: 180days; 365: 365days. |
clientHistory | integer | no | Retention configuration of client History(only effective in local controller), clientHistory should be a value as follows: -1: Disabled; 0: All Time(Windows, Linux Only); 7: 7days; 31: 31days; 90: 90days; 180: 180days; 365: 365days. |
clientHistoryAvailableRetentionDays | array<integer> | no | Provide optional clientHistory data Retention Configuration list. |
fiveMin | integer | no | Retention configuration of Time Series with 5 Minutes Granularity. It is fixed to 2days and cannot be changed. |
tenMin | integer | no | Retention configuration of Time Series with 10 Minutes Granularity, only for Lite Cloud-Based Controller. It is fixed to 2days and cannot be changed. |
hourly | integer | no | Retention configuration of time series with hourly granularity, hourly should be a value as follows: 7: 7days. |
dailyAvailableRetentionDays | array<integer> | no | Provide optional daily data Retention Configuration list. |
daily | integer | no | Retention configuration of time series with daily granularity, daily should be a value as follows: 90: 90days; 180: 180days; 365: 365days(Fixed value in Cloud Based Controller as 365 days). |
weeklyAvailableRetentionDays | array<integer> | no | Provide optional weekly data Retention Configuration list. |
weekly | integer | no | Retention configuration of time series with weekly granularity, weekly should be a value as follows: 31: 31days; 90: 90days; 180: 180days; 365: 365days. |
portalAuthAvailableRetentionDays | array<integer> | no | Provide optional portalAuth data Retention Configuration list. |
portalAuth | integer | no | Retention configuration of portal authentication records, portalAuth should be a value as follows: 0: All Time(Windows, Linux Only); 7: 7days; 31: 31days; 90: 90days; 180: 180days; 365: 365days. |
logAvailableRetentionDays | array<integer> | no | Provide optional log data Retention Configuration list. |
log | integer | no | Retention Configuration of log data(only effective in local controller), log should be a value as follows: 0: All Time(Windows, Linux Only); 31: 31days; 90: 90days; 180: 180days; 365: 365days. |
rogueAp | integer | no | Retention Configuration of rogue ap data, rogueAp should be a value as follows: 0: All Time(Windows, Linux Only); 31: 31days; 90: 90days; 180: 180days; 365: 365days. |
widsData | integer | no | Retention Configuration of wids data(only effective in local pro controller), widsData should be a value as follows: 0: All Time(Windows, Linux Only); 90: 90days; 180: 180days; 365: 365days. |
clientDataTrendDaily | integer | no | Retention Configuration of client data trend records(only effective in local controller), clientStatDaily should be a value as follows: 1: 1day; 7: 7days; 31: 31days; 60: 60days, 90: 90days. |
clientTrendAvailableRetentionDays | array<integer> | no | Provide optional clientDataTrendDaily data Retention Configuration list. |
// omada_call_operation
{
"operationId": "modifyRetention_1",
"body": "{...}"
}Details, permissions and error codes
Modify an existing retention.
The interface requires one of the permissions:
Global Other Setting Modify
getUiInterface
GET /openapi/v1/{omadacId}/controller/setting/ui-interface
Get UI interface
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getUiInterface"
}Details, permissions and error codes
Get UI interface.
The interface requires one of the permissions:
Global Other Setting View Only
modifyUiInterface
PATCH /openapi/v1/{omadacId}/controller/setting/ui-interface
Modify an existing UI interface
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema UI Interface
| Field | Type | Required | Description |
|---|---|---|---|
timeZone | integer | no | Time zone should be a value as follows: 0: Site's; 1: Browser's; 2: Controller's; 3: UTC |
refreshRate | integer | yes | Refresh rate should be a value as follows: 0: 15 seconds;1: 1 minute; 2: 2 minutes; 3: 5 minutes; 4: never refresh. |
privateLabelingEnable | boolean | no | Enable customer labeling of controller, this configuration applies to Omada Pro Controller only |
privateLabelingUrl | string | no | The redirection url of labeling image, this configuration applies to Omada Pro Controller only |
privateLabelingFileId | string | no | The file id of labeling image, this configuration applies to Omada Pro Controller only |
privateLabelingFileName | string | no | The file name of labeling image, this configuration applies to Omada Pro Controller only |
macFormat | integer | no |
// omada_call_operation
{
"operationId": "modifyUiInterface",
"body": "{...}"
}Details, permissions and error codes
Modify an existing UI interface.
The interface requires one of the permissions:
Global Other Setting Modify
getOmadacDstInfo_1
GET /openapi/v1/{omadacId}/dst-info
Get controller DST
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getOmadacDstInfo_1"
}getExpImprove
GET /openapi/v1/{omadacId}/global/controller/setting/exp-improve
Get experience improvement
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getExpImprove"
}Details, permissions and error codes
Get experience improvement.
The interface requires one of the permissions:
Global Other Setting View Only
modifyExpImprove
PATCH /openapi/v1/{omadacId}/global/controller/setting/exp-improve
Modify an existing experience improvement
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema Experience Improvement Program
| Field | Type | Required | Description |
|---|---|---|---|
expImprove | boolean | yes | Join User Experience Improvement Program |
// omada_call_operation
{
"operationId": "modifyExpImprove",
"body": "{...}"
}Details, permissions and error codes
Modify an existing experience improvement.
The interface requires one of the permissions:
Global Other Setting Modify
getGernalSettings
GET /openapi/v1/{omadacId}/global/controller/setting/general
Get general settings
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getGernalSettings"
}Details, permissions and error codes
Get general settings.
The interface requires one of the permissions:
Global Other Setting View Only
modifyGeneralSettings
PATCH /openapi/v1/{omadacId}/global/controller/setting/general
Modify an existing general settings
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema General Setting
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | General setting name should be visible ASCII, between 1 and 32 characters. |
timeZone | string | yes | For the values of timeZone, refer to section 5.1 of the Open API Access Guide. |
region | string | yes | Country/Region of the controller |
dst | DstOpenApiVO | no | (DstOpenApiVO not expanded; call omada_get_schema "DstOpenApiVO") |
// omada_call_operation
{
"operationId": "modifyGeneralSettings",
"body": "{...}"
}Details, permissions and error codes
Modify an existing general settings.
The interface requires one of the permissions:
Global Other Setting Modify
getRemoteLogging
GET /openapi/v1/{omadacId}/global/controller/setting/syslog
Get remote logging
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getRemoteLogging"
}Details, permissions and error codes
Get remote logging.
The interface requires one of the permissions:
Global Other Setting View Only
modifyRemoteLogging
PATCH /openapi/v1/{omadacId}/global/controller/setting/syslog
Modify an existing remote logging
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema Remote Log
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | Whether to enable the feature |
host | string | no | The IP address of the remote log server |
port | integer | no | Port of the remote log server, port should be within the range of 1-65535 |
// omada_call_operation
{
"operationId": "modifyRemoteLogging",
"body": "{...}"
}Details, permissions and error codes
Modify an existing remote logging.
The interface requires one of the permissions:
Global Other Setting Modify
getMailServerStatus
GET /openapi/v1/{omadacId}/mail/status
Get mailServer status
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getMailServerStatus"
}Details, permissions and error codes
Get mailServer status
The interface requires one of the permissions:
Global Other Setting View Only
Global Users Manager View Only
Global Export Data Access
getPrivacyPolicy
GET /openapi/v1/{omadacId}/privacy-policy
Get privacy policy
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getPrivacyPolicy"
}Details, permissions and error codes
Get privacy policy
The interface requires one of the permissions:
Global Other Setting View Only
sendTestEmail
POST /openapi/v1/{omadacId}/settings/test-mail
Send test mail for controller
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema SendMailServerOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
smtpEnable | boolean | no | Enable SMTP mail server |
smtpServer | string | yes | The domain name of the SMTP mailbox server. |
port | integer | yes | The port of the SMTP mailbox server,xxxx should be within the range of 1-65535 |
sslEnable | boolean | yes | Whether the SMTP mailbox server uses SSL encryption. |
authEnable | boolean | yes | Whether the SMTP email server uses basic authentication. |
username | string | no | The user's email address used for authentication. |
password | string | no | The user's email password used for authentication. |
senderAddress | string | no | The email address from which the message was sent. |
receiver | string | no | The email address where the message will be received. |
// omada_call_operation
{
"operationId": "sendTestEmail",
"body": "{...}"
}Details, permissions and error codes
Send test mail for controller
The interface requires one of the permissions:
Global Other Setting View Only
favoriteSite
POST /openapi/v1/{omadacId}/sites/{siteId}/favorites
Favorite site
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "favoriteSite",
"params": {
"siteId": "<siteId>"
}
}cancelFavoriteSite
POST /openapi/v1/{omadacId}/sites/{siteId}/favorites/cancels
Cancel favorite site
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "cancelFavoriteSite",
"params": {
"siteId": "<siteId>"
}
}evaluateFeedback
POST /openapi/v1/{omadacId}/users/feedback/evaluates
Evaluate a customer feedback
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema FeedbackOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
level | integer | yes | The rating of the controller service is in the range of 1~5. |
content | string | yes | Feedback and evaluation of the controller service. |
// omada_call_operation
{
"operationId": "evaluateFeedback",
"body": "{...}"
}